summaryrefslogtreecommitdiff
path: root/sign.sh
diff options
context:
space:
mode:
authorSam Bingner <sam@bingner.com>2018-11-13 22:27:37 -1000
committerSam Bingner <sam@bingner.com>2018-11-13 22:27:37 -1000
commit1c4910de8117eb56ff68d6faffef673d6b0b7f06 (patch)
tree6db17ed74a9b762b05ee729f01b0e9b75a6cbb63 /sign.sh
parent8b91bd6838e317632792c84afca1d3507c3c94fa (diff)
Add some missing files
Diffstat (limited to 'sign.sh')
-rwxr-xr-xsign.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/sign.sh b/sign.sh
new file mode 100755
index 000000000..458b0cfc0
--- /dev/null
+++ b/sign.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e
+shopt -s extglob nullglob
+
+PKG_BASE=$(dirname "$(realpath "$0")")
+cd "${PKG_BASE}"
+PKG_RVSN=1
+
+PKG_REPO="${PKG_BASE}/apt/"
+
+cd "${PKG_REPO}/dists/ios/"
+
+for PKG_CFTARG in */ */*/binary*/; do
+ pushd ${PKG_CFTARG}
+ {
+ cat <<EOF
+Origin: Bingner/Elucubratus
+Label: Bingner/Elucubratus
+Suite: stable
+Version: 1.0r${PKG_RVSN}
+Codename: ios
+Architectures: iphoneos-arm
+Components: main
+Description: Distribution of Unix Software for iPhoneOS
+Support: https://cydia.saurik.com/api/support/*
+MD5Sum:
+EOF
+
+ find * -type f | grep -v Release | while read -r line; do
+ echo " $(md5sum "${line}" | cut -d ' ' -f 1) $(stat -f %z "${line}" | cut -d $'\t' -f 1) ${line}"
+ done
+
+ } >"Release"
+
+ rm -f Release.gpg
+ gpg -abs -o Release.gpg Release
+ popd
+done